#include <iostream>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n;
	unsigned long long l;
	cin >> n >> l;
	unsigned long long h;
	for(int i = 0; i < n; i++){
		cin >> h;
		if(h <= l){
			cout << i + 1;
			return 0;
		}
	}
	cout << -1;
	return 0;
}